• Python module import errors - Running on A48

    From InfectedBootSector@21:4/174 to All on Tuesday, February 01, 2022 13:45:44
    Hey all!

    I'm trying to get the Phenom Productions ThreatSentry mod up and running and I'm getting an error on the import of the dateutil.tz module. Paths are all
    set (pythonhome,pythonpath,etc.) and Mystic has been configured from the
    config menu to point to the proper python library locations. If I run python directly from the shell, the same import commands used in the ThreatSentry script work just fine, so I know the module is there and OK.

    Any ideas? Still smells like a path problem but I'm out of places to check.

    Running latest A48 code, Python 3.9 (2.x has the same error, btw), on a Pi with Bullseye.

    Thanks for the insight!

    ... When all else fails, read the instructions

    --- Mystic BBS v1.12 A48 2022/01/19 (Raspberry Pi/32)
    * Origin: -=[ExoplanetBBS.net]=- (21:4/174)
  • From seeLive@21:2/128 to InfectedBootSector on Wednesday, February 02, 2022 16:02:07
    On 01 Feb 2022, InfectedBootSector said the following...
    and I'm getting an error on the import of the dateutil.tz module. Paths

    Which libpython are you pointing to and where is it located? I've come across times when I was pointing to a different install than I thought... did you compile python from source?


    (,``,"> rusty sez... Re-livin' the dream...

    --- Mystic BBS v1.12 A47 2021/12/24 (Raspberry Pi/32)
    * Origin: seeLive's rustyHedgehog - therhh.dynv6.net:2300 (21:2/128)
  • From MeaTLoTioN@21:1/158.1 to seeLive on Thursday, February 03, 2022 00:22:45

    On Feb 2nd 9:02 pm seeLive said...
    On 01 Feb 2022, InfectedBootSector said the following...
    and I'm getting an error on the import of the dateutil.tz
    module. Paths

    Have you installed the correct dateutil.tz? Also I think you're needing python2 for that mod, on my system running python3 interactive and importing dateutil.tz I get the same error, but in python2.7 it imports fine.



    --
    Best regards,
    Christian aka MeaTLoTioN

    -- [eml] ml@erb.pw -- [web] www.erb.pw --
    --- ENiGMA 1/2 v0.0.10-alpha (linux; x64; 10.16.0)
    * Origin: thE dYslExIc dOnkEy ~ dydo.erb.pw:1337 (21:1/158.1)
  • From InfectedBootSector@21:4/174 to MeaTLoTioN on Saturday, February 05, 2022 04:13:09
    Hey MeatLoTioN and everyone else...

    Thanks for the tips. I messed around with it a bit more this evening... installed python 2.7 and 3.9 from source and got that all working. Set the correct paths for the libs in Mystic. Still didn't work, but got a different error after that. I slightly tweaked the .mpy script on the import of tz (before: "from dateutil" after "from dateutil.tz"). Working great now.

    ... Error 3032 - Recursion error. See error 3032.

    --- Mystic BBS v1.12 A48 2022/01/19 (Raspberry Pi/32)
    * Origin: -=[ExoplanetBBS.net]=- (21:4/174)
  • From MeaTLoTioN@21:1/158 to InfectedBootSector on Saturday, February 05, 2022 11:45:26
    On 05 Feb 2022, InfectedBootSector said the following...

    different error after that. I slightly tweaked the .mpy script on the import of tz (before: "from dateutil" after "from dateutil.tz"). Working great now.

    Great news getting it working, I guess that the module changed it's name since the mod was created or, another mod which you got works the same? Anyway glad you got it working, feels good to fix stuff especially when they're long standing issues lol.


    Nice job!

    ---
    |14Best regards,
    |11Ch|03rist|11ia|15n |11a|03ka |11Me|03aTLoT|11io|15N

    |07── |08[|10eml|08] |15ml@erb.pw |07── |08[|10web|08] |15www.erb.pw |07───┐ |07── |08[|09fsx|08] |1521:1/158 |07── |08[|11tqw|08] |151337:1/101 |07┬──┘ |07── |08[|12rtn|08] |1580:774/81 |07─┬ |08[|14fdn|08] |152:250/5 |07───┘
    |07── |08[|10ark|08] |1510:104/2 |07─┘

    ... Documentation: The worst part of programming.

    --- Mystic BBS v1.12 A47 2021/12/13 (Linux/64)
    * Origin: thE qUAntUm wOrmhOlE, rAmsgAtE, uK. bbs.erb.pw (21:1/158)
  • From Chad Adams@21:1/107 to MeaTLoTioN on Saturday, February 05, 2022 06:57:32

    ItÆs always the 1% if your code that gives you trouble. The other 99% works fine.

    On 05 Feb 2022, InfectedBootSector said the following...
    different error after that. I slightly tweaked the .mpy script on the
    import of tz (before: "from dateutil" after "from dateutil.tz").
    Working great now.
    Great news getting it working, I guess that the module changed it's name since
    the mod was created or, another mod which you got works the same? Anyway glad you got it working, feels good to fix stuff especially when they're long standing issues lol.
    Nice job!
    ---
    |14Best regards,
    |11Ch|03rist|11ia|15n |11a|03ka |11Me|03aTLoT|11io|15N
    |07-- |08[|10eml|08] |15ml@erb.pw |07-- |08[|10web|08] |15www.erb.pw |07---. |07-- |08[|09fsx|08] |1521:1/158 |07-- |08[|11tqw|08] |151337:1/101 |07+--' |07-- |08[|12rtn|08] |1580:774/81 |07-+ |08[|14fdn|08] |152:250/5 |07---' |07-- |08[|10ark|08] |1510:104/2 |07-'
    ... Documentation: The worst part of programming.

    --- BBBS/Li6 v4.10 Toy-5
    * Origin: The ByteXchange BBS | bbs.thebytexchange.com (21:1/107)